Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0049889
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] Restaurantsmajoralways2022-07-27 16:152022-08-09 12:23
ReporterFelixakaView Statuspublic 
Assigned Tomeriem_azaf 
PrioritynormalResolutionfixedFixed in Version22Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0049889: JIRA 3186 - QR code : Product quantity increase randomly.

DescriptionWhen we add a product by doing long tips and clicking on “Add product”,

If we scan a QR code, the quantity of the product that has been selected before the scan will increase randomly.
Steps To Reproduce→ Go on the POS (In FS test)

→ Select an article: Long tips on it, then click on “Add to receipt) (For exemple : “Boisson cacao)

→ Scan a Qr code (Not in console dev)

→ See that the quantity of the article added previously will increase randomly

→ See that articles from the QR code are well displayed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0049784 closedRetail [22Q3] Barcode scanner adds two products if the EAN field is focused 

-  Notes
(0139994)
hgbot (developer)
2022-08-09 08:56

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/815 [^]
(0139996)
hgbot (developer)
2022-08-09 10:21

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/815 [^]
(0139997)
hgbot (developer)
2022-08-09 10:21

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 94670bb40bd4dc4b4212e2e6cad51ac85a895c0f
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 09-08-2022 10:19:56
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/94670bb40bd4dc4b4212e2e6cad51ac85a895c0f [^]

Fixes ISSUE-49889: JIRA 3186 - Support disabling button clicks when pressing space or enter key

In some environments there is a need to be able to press the space or
enter key while the focus is on a button but want to prevent the button
from being clicked. This need may come from instance when scanning QR
codes that contains spaces/carriage returns.

To support this a new preferene has been created that when set to true
will disable the click of buttons when the space or enter key are
pressed.

---
M src-db/database/sourcedata/AD_REF_LIST.xml
M web-jspack/org.openbravo.core2/src/components/BaseButton/BaseButton.jsx
M web-jspack/org.openbravo.core2/src/components/BaseButton/__test__/BaseButton.test.jsx
---
(0139999)
hgbot (developer)
2022-08-09 10:50

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: b8a427b17a994e968b715bebff6467722f6302c1
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 09-08-2022 10:50:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/b8a427b17a994e968b715bebff6467722f6302c1 [^]

Fixes ISSUE-49889: JIRA 3186 - Support disabling button clicks when pressing space or enter key

In some environments there is a need to be able to press the space or
enter key while the focus is on a button but want to prevent the button
from being clicked. This need may come from instance when scanning QR
codes that contains spaces/carriage returns.

To support this a new preferene has been created that when set to true
will disable the click of buttons when the space or enter key are
pressed.

---
M src-db/database/sourcedata/AD_REF_LIST.xml
M web-jspack/org.openbravo.core2/src/components/BaseButton/BaseButton.jsx
M web-jspack/org.openbravo.core2/src/components/BaseButton/__test__/BaseButton.test.jsx
---

- Issue History
Date Modified Username Field Change
2022-07-27 16:15 Felixaka New Issue
2022-07-27 16:15 Felixaka Assigned To => Retail
2022-07-27 16:15 Felixaka Triggers an Emergency Pack => No
2022-08-05 11:38 AugustoMauch Assigned To Retail => meriem_azaf
2022-08-09 08:56 hgbot Note Added: 0139994
2022-08-09 10:21 hgbot Note Added: 0139996
2022-08-09 10:21 hgbot Resolution open => fixed
2022-08-09 10:21 hgbot Status new => resolved
2022-08-09 10:21 hgbot Fixed in Version => 22Q4
2022-08-09 10:21 hgbot Note Added: 0139997
2022-08-09 10:50 hgbot Fixed in Version 22Q4 => 22Q3
2022-08-09 10:50 hgbot Note Added: 0139999
2022-08-09 11:29 AugustoMauch Status resolved => closed
2022-08-09 11:56 AugustoMauch Issue cloned 0049976
2022-08-09 12:23 plujan Fixed in Version 22Q3 => 22Q4
2022-08-11 08:53 AugustoMauch Relationship added has duplicate 0049784


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker